﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Report;

namespace UltraChartRenderPDF
{
	public partial class Form1 : Form
	{
		private BindingList<DataItem> dataItems;

		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			var rnd = new Random();
			dataItems = new BindingList<DataItem>();
			for (int i = 0; i < 500; i++)
			{
				dataItems.Add(new DataItem() { X = i, Y = rnd.Next(0, 501) });
			}
			ultraChart1.DataSource = dataItems;
			ultraChart1.ScatterChart.ColumnX = 0;
			ultraChart1.ScatterChart.ColumnY = 1;
			ultraChart1.DataBind();
		}

		private void btnExport_Click(object sender, EventArgs e)
		{
			if (saveFileDialog1.ShowDialog(this) == System.Windows.Forms.DialogResult.OK)
			{
				string filePath = saveFileDialog1.FileName;
				var report = new Report();
				var section = report.AddSection();
				var canvas = section.AddCanvas();
				var g = canvas.CreateGraphics();
				ultraChart1.RenderPdfFriendlyGraphics(g);
				report.Publish(filePath, FileFormat.PDF);
			}
		}
	}

	class DataItem
	{
		public int X { get; set; }
		public int Y { get; set; }
	}
}
